import { http } from "../http";
import type { PageParams, PageResponse } from "./model";

// 保存页面设计
export const editPageDesignApi = (data: PageParams) =>
  http.post("/api/form/EditPageDesign", data);
// 读取页面设计
export const getPageDesignApi = (data: { id: string}) => 
  http.post<PageResponse>(`/api/form/GetPageDesign`, data);

// 获取单页面数据源列表
export function GetAllDataSourceColumnList(data: any) {
  return http.post(`/api/page/GetAllDataSourceColumnList`, data);
}

// 获取数据表和视图表
export function GetAllTablesAndViews(data: any) {
  return http.post(`/api/table/GetAllTablesAndViews`, data);
}

// 获取全部基础数据类型
export function GetAllBasicData(data: any) {
  return http.post(`/api/system/GetAllBasicData`, data);
}

// 获取表视图列
export function GetTableViewColumns(data: any) {
  return http.post(`/api/table/GetTableViewColumns`, data);
}

// 获取表视图列多语言
export function GetTableViewFieldKey(data: any) {
  return http.post(`/api/table/GetTableViewFieldKey`, data);
}